#!/usr/bin/bash

# Generate default self-signed TLS key pair
openssl req -subj '/' -new -newkey RSA:3072 -days 3650 -nodes -x509 -keyout /etc/ssl/private/servnest.key -out /etc/ssl/certs/servnest.crt

rm -r /etc/nginx/*
cp -r /install/nginx/* /etc/nginx/

mkdir /srv/servnest/nginx /srv/servnest/subpath /srv/servnest/subdomain
chown $servnest:$nginx /srv/servnest/nginx /srv/servnest/subpath /srv/servnest/subdomain
chmod u=rwX,g=rX,o= /srv/servnest/nginx /srv/servnest/subpath /srv/servnest/subdomain
